%define name	quota
%define version	3.14

Summary:	System administration tools for monitoring users' disk usage
Name:		%{name}
Version:	%{version}
Release:	%mkrel 2
URL:		http://sourceforge.net/projects/linuxquota/
License:	BSD
Group:		System/Configuration/Other
Source0:	http://prdownloads.sourceforge.net/linuxquota/%{name}-%{version}.tar.bz2
Source1:	%{name}.bash-completion
Patch0:		quota-tools-man-pages-path.patch
Patch1:		quota-tools-no-stripping.patch
Patch3:		quota-tools-default-conf.patch
Patch5:		quota-3.06-pie.patch
BuildRequires:	e2fsprogs-devel
BuildRequires:	gettext
Requires:	kernel >= 2.4 initscripts >= 6.38
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The quota package contains system administration tools for monitoring
and limiting users' and or groups' disk usage, per filesystem.

Install quota if you want to monitor and/or limit user/group disk
usage.

%prep
%setup -q -n quota-tools
%patch0 -p1 -b .man-pages
%patch1 -p1 -b .no-stripping
%patch3 -p1 -b .default-conf
%ifnarch ppc ppc64
%patch5 -p1 -b .pie
%endif

%build
%configure --with-ext2direct=no --enable-rootsbin
%make

%install
rm -rf %{buildroot}

install -d %{buildroot}/sbin
install -d %{buildroot}%{_sysconfdir}
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/{man1,man2,man3,man8}

make install ROOTDIR=%{buildroot} \
             DEF_BIN_MODE=755 \
             DEF_SBIN_MODE=755 \
             DEF_MAN_MODE=644

install -m 644 warnquota.conf %{buildroot}%{_sysconfdir}

%find_lang %{name}

# bash completion
install -d -m 755 %{buildroot}%{_sysconfdir}/bash_completion.d
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/bash_completion.d/%{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/bash_completion.d/%{name}
%config(noreplace) %{_sysconfdir}/warnquota.conf
%config(noreplace) %{_sysconfdir}/quotagrpadmins
%config(noreplace) %{_sysconfdir}/quotatab
/sbin/*
%{_bindir}/*
%{_sbindir}/*
%{_includedir}/rpcsvc/*
%{_mandir}/man?/*




%changelog

* Sun Jan 14 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.14-2mdv2007.0
+ Revision: 108839
- spec cleanup
- drop unused patches
- add bash completion

* Mon Dec 11 2006 Emmanuel Andry <eandry@mandriva.org> 3.14-1mdv2007.1
+ Revision: 94583
- New version 3.14
  bunzip patches
  drop patch 2
- Import quota

* Thu Jan 05 2006 Stefan van der Eijk <stefan@eijk.nu> 3.13-2mdk
- rebuild

* Wed Aug 10 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.13-1mdk
- 3.13
- fix summary-ended-with-dot
- %%mkrel

* Thu Nov 11 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.12-1mdk
- 3.12
- sync with fedora

* Sun Aug 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.10-1mdk
- 3.10
- synced with fedora
- misc spec file fixes

